package com.sundot.airport.equipment.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sundot.airport.common.annotation.Excel;
import com.sundot.airport.common.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 设备定检记录对象 equipment_inspection_record
 *
 * @author ruoyi
 * @date 2026-05-12
 */
@TableName("equipment_inspection_record")
public class EquipmentInspectionRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 租户号 */
    private String tenantId;

    /** 乐观锁 */
    private Integer revision;

    /** 主键 */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 来源ID */
    @Excel(name = "来源ID")
    private Long sourceId;

    /** 定检日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "定检日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectionDate;

    /** 定检结论 */
    @Excel(name = "定检结论")
    private String inspectionResult;

    /** 定检小组ID */
    @Excel(name = "定检小组ID")
    private String inspectionTeamId;

    /** 定检小组名称 */
    @Excel(name = "定检小组名称")
    private String inspectionTeamName;

    /** 定检性质 */
    @Excel(name = "定检性质")
    private String inspectionNature;

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setRevision(Integer revision) {
        this.revision = revision;
    }

    public Integer getRevision() {
        return revision;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setSourceId(Long sourceId) {
        this.sourceId = sourceId;
    }

    public Long getSourceId() {
        return sourceId;
    }

    public void setInspectionDate(Date inspectionDate) {
        this.inspectionDate = inspectionDate;
    }

    public Date getInspectionDate() {
        return inspectionDate;
    }

    public void setInspectionResult(String inspectionResult) {
        this.inspectionResult = inspectionResult;
    }

    public String getInspectionResult() {
        return inspectionResult;
    }

    public void setInspectionTeamId(String inspectionTeamId) {
        this.inspectionTeamId = inspectionTeamId;
    }

    public String getInspectionTeamId() {
        return inspectionTeamId;
    }

    public void setInspectionTeamName(String inspectionTeamName) {
        this.inspectionTeamName = inspectionTeamName;
    }

    public String getInspectionTeamName() {
        return inspectionTeamName;
    }

    public void setInspectionNature(String inspectionNature) {
        this.inspectionNature = inspectionNature;
    }

    public String getInspectionNature() {
        return inspectionNature;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("tenantId", getTenantId())
                .append("revision", getRevision())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("id", getId())
                .append("sourceId", getSourceId())
                .append("inspectionDate", getInspectionDate())
                .append("inspectionResult", getInspectionResult())
                .append("inspectionTeamId", getInspectionTeamId())
                .append("inspectionTeamName", getInspectionTeamName())
                .append("inspectionNature", getInspectionNature())
                .toString();
    }
}
